<!DOCTYPE html>
<html>
    <head>
        <title>Ant Chat</title>
        <link rel="stylesheet" href="style.css">
        <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.7.2/css/all.css" integrity="sha384-fnmOCqbTlWIlj8LyTjo7mOUStjsKC4pOpQbqyi7RrhN7udi9RwhKkMHpvLbHG9Sr" crossorigin="anonymous">
        <link rel="shortcut icon" type="image/ico" href="favicon.ico"/>
    </head>
    <body>
        <div id="wrapper">
            <div id="left">
                <div id="messages">
                    <div class="message">
                        <img src="https://stored.ant.lgbt/img/icon_225.png">
                        <span class="messageDate">15:35</span>
                        <span class="messageAuthor">ConfusedAnt</span><br>
                        <span class="messageContent">Anyone on here?</span>
                        <div style="clear: both;"></div>
                    </div>
                    <div class="message">
                        <img src="https://stored.ant.lgbt/img/icon_225.png">
                        <span class="messageDate">15:30</span>
                        <span class="messageAuthor">ConfusedAnt</span><br>
                        <span class="messageContent">Hey there</span>
                        <div style="clear: both;"></div>
                    </div>
                </div>
                <div id="writeDiv">
                    <input type="text" id="inputBox" placeholder="Enter text or a URL to an image" onkeydown="writePHP(event)">
                    <button id="sendTextButton" onclick="writePHP()"><i class="fas fa-paper-plane"></i></button>
                    <button id="sendImageButton" onclick="writeIMAGE()"><i class="fas fa-images"></i></button>
                </div>
            </div>
            <div id="userBar">
                <div id="userSpacer">
                    <img src="https://stored.ant.lgbt/img/icon_225.png" id="userIcon">
                    <div id="userUsername"><a href="">ConfusedAnt</a></div>
                </div>
                <div onclick="toggleSettingsView()"><a><i class="fas fa-sliders-h"></i></a></div>
                <div style="height: 5px;"> </div>
                <div onclick="logout()"><a><i class="fas fa-sign-out-alt"></i></a></div>
            </div>
            <div id="settings" style="visibility: hidden;">
                <div id="settingsContent" style="left: 300px;">
                    <div style="width:20px; float: left; height: 100%;"></div>
                    <h2>Settings</h2>
                    <div onclick="changeUsernameName()"><i class="fas fa-address-card"></i> Change Username</div>
                    <div onclick="changeUsernameUrl()"><i class="fas fa-user-tag"></i> Change User-Icon</div><br>
                    <div onclick="toggleTheme()"><i class="fas fa-adjust"></i> Toggle Dark Mode</div>
                    <div style="clear: both;"></div>
                    <div onclick="about()" style="bottom: 16px;left: 20px;position: absolute;"><i class="fas fa-adjust"></i> About</div>
                </div>
            </div>
            <div style="clear: both;"></div>
            <div id="overlay"></div>
        </div>


        <div class="popup" id="aboutPopup" style="visibility: hidden;">
            <div class="popupTitle">
                <i class="fas fa-address-card"></i>
                <i class="far fa-window-close" onclick="closePopup()"></i>
                <span>About</span>
            </div>
            <div class="popupContent">
                <img src="logo.png" style="float: left;border-radius: 20%; margin-right: 15px;" height="128">
                <p>The Ant Chat is one of the simplest and easiest to use chat applications out there. It consists of pure HTML, CSS, JS and PHP, in order to allow you to get out of the way and enjoy your conversations.</p>
                <table>
                    <tr>
                        <td style="border:0px">
                            <a href="https://gitlab.com/ConfusedAnt/ant-chat/"><i class="fab fa-gitlab"></i> Code on Gitlab</a>
                        </td>
                        <td style="border:0px">
                            <a href="https://ant.lgbt/"><i class="fas fa-globe"></i> My Website</a>
                        </td>
                        <td style="border:0px">
                            <a href="mailto:confused@ant.lgbt"><i class="fas fa-envelope"></i> confused@ant.lgbt</a>
                        </td>
                    </tr>
                    </table>
            </div>
        </div>
    </body>
    <script src="script.js"></script>
</html>